Page MenuHomePhabricator

Access user language preferences (including Babel) via standard API
Open, NormalPublic

Description

Eventually, Wikibase will need to stop hacking into the Babel extension and (ab)using the {{#babel}} markup as user interface language option. Blocked on T104912 which proposes to consolidate various language preferences options into a single API output.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Wikidata.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 20 2015, 10:07 AM
Dereckson triaged this task as Low priority.Dec 31 2015, 3:58 PM
Dereckson added a subscriber: Dereckson.
Nemo_bis raised the priority of this task from Low to Normal.Jan 11 2016, 4:09 PM

This blocks things in normal priority hence can't be lower priority.

jeblad added a subscriber: jeblad.May 21 2016, 7:30 PM

Babel boxes should show the user preferences, not be the user preferences.

Babel boxes should show the user preferences, not be the user preferences.

That would be quite a dramatic change. @Nikerabbit what do you think?

Yes why not. There would be many users of this information. But that implications of how to represent these options in the preferences. For example, do we really need the 7-step scale for the fluency? Also migration could be difficult.

jeblad rescinded a token.Jun 8 2016, 9:26 AM
jeblad added a comment.EditedJun 8 2016, 9:29 AM

After second thought I think this is wrong. Babel is just one of several aspects of capabilities of users, that is it is an aspect (languages) of a knowledge management system. Other two that should be implemented are skills and location.

We can add this to user preferences, but I'm not sure it really makes sense to add it there. To make use of it it must be published and we must add methods to make other users aware of it. Why should someone be forced to add this if it isn't used? That would imply that the extension could extend the user preferences, but that the user preferences should not be extended by default.

Hmm, I guess I fixed the Babel part of this bug in rEBAB22b6815c2d33: Add API action=query&meta=babel module. Should it be marked as resolved? I don't really have an opinion on the rest of the API parts, though the dependency order seems a bit backwards to me - we first needed Babel to store it's data in an easily queryable manner (rEBABcd12336cb0a5: Store babel languages in the database) before it can be used in an API...

Hmm, I guess I fixed the Babel part of this bug in rEBAB22b6815c2d33: Add API action=query&meta=babel module. Should it be marked as resolved? I don't really have an opinion on the rest of the API parts, though the dependency order seems a bit backwards to me - we first needed Babel to store it's data in an easily queryable manner (rEBABcd12336cb0a5: Store babel languages in the database) before it can be used in an API...

Also don't ignore that we still have this issue: T101086

jeblad removed a subscriber: jeblad.Aug 25 2017, 11:44 PM